V1 and V2Product Families

Rename a product family

PATCH
/api/v1/product_families/{product_family_id}

Edit product family name.

fieldtypemandatorydescription
namestringyeshuman-friendly name

Any other attributes will be ignored.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_family_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PATCH 'https://example.com/api/v1/product_families/string' \  -H 'Content-Type: application/json' \  --data-raw '{  "name": "new name"}'
Empty